## org.eclipse.datatools.sqltools.common.ui.util
Class HTML2TextReader

    java.lang.Object
      java.io.Reader
          org.eclipse.datatools.sqltools.common.ui.util.SingleCharReader
              org.eclipse.datatools.sqltools.common.ui.util.SubstitutionTextReader
                  org.eclipse.datatools.sqltools.common.ui.util.HTML2TextReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable

    public class HTML2TextReader

extends SubstitutionTextReader

Reads the text contents from a reader of HTML contents and translates the tags or cut them out.

Author:
  Hui Cao

Constructor Summary
`HTML2TextReader(java.io.Reader reader, org.eclipse.jface.text.TextPresentation presentation)` Transforms the HTML text from the reader to formatted text.

Method Summary
`int` `read()`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.util.SubstitutionTextReader
`close, ready, reset`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.util.SingleCharReader
`getString, read`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTML2TextReader

    public HTML2TextReader(java.io.Reader reader,
                           org.eclipse.jface.text.TextPresentation presentation)

  Transforms the HTML text from the reader to formatted text.

  Parameters:
    `reader` - the reader
    `presentation` - If not `null`, formattings will be applied to the presentation.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `SubstitutionTextReader`
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.read()`